# List companies

Source: https://developer.avalara.com/products/e-invoicing/integration-guides/elr/yyw8858030231359/

Guide: E-Invoicing and Live Reporting

# List companies

Reference for the endpoint that returns all companies for a tenant.

**Endpoint**: `GET /scs/companies`

Returns all companies for the tenant.

According to the design, this endpoint is used to support the 1st render of the company management UI.

For details, see [GetCompany](https://developer.avalara.com/api-reference/sharedservice/sharedCompanyService/methods/Companies/GetCompany/).

**Headers**

Name

Description

**X-Avalara-Client**

Provided by Avalara. Identifies the software that you’re using to call this API.

**avalara-version**

API version.

**Accept**

application/json

**Query parameters**

Name

Description

`$filter`

A filter statement is used to identify specific records to retrieve. Filterable fields: `id`, `companyName`, `defaultCountry`, `companyCode`, `isActive`, `created`, `lastModified`. Supported operators: and, not, eq, or, in, lt, gt. Example:

```
defaultCountry eq
              'GB'
```

.

`$include`

A comma-separated list of objects to fetch under this company. Any object with a URL path under this company can be fetched by specifying its name.

`$top`

If nonzero, returns no more than this number of results.

`$skip`

If nonzero, skips this number of results before returning data.

`$orderBy`

A comma-separated list of sort statements.

`returnHierarchy`

Returns the company hierarchy. Example value: `false`.

## Example request

```
curl --location '/scs/companies' \
--header 'X-Avalara-Client: ProvidedToYouByAvalara' \
--header 'avalara-version: 1.0' \
--header 'Accept: application/json'
```